NFSD(8) | System Manager's Manual | NFSD(8)

# NAME

`nfsd` —
remote NFS server

# SYNOPSIS

`nfsd` | [`-46drut`] [`-n` num_threads]

# DESCRIPTION

`nfsd` runs on a server machine to service NFS requests from client machines. At least one `nfsd` must be running for a machine to operate as a server.

Unless otherwise specified, four servers for UDP transport are started.

The following options are available:

`-d`
  Turn on debugging, don't fork and log to stderr.
`-r`
  Register the NFS service with rpcbind(8) without creating any servers. This option can be used along with the `-u` or `-t` options to re-register NFS if the portmap server is restarted.
`-n`
  Specifies how many server threads to create. The default is 4. A server should run enough threads to handle the maximum level of concurrency from its clients.
`-4`
  Only listen to IPv4 requests. By default `nfsd` listens to both IPv6 and IPv4 and tries to register for both.
`-6`
  Only listen to IPv6 requests.
`-t`
  Serve only TCP NFS clients. By default `nfsd` serves both TCP NFS and UDP NFS clients
`-u`
  Serve only UDP NFS clients.

`nfsd` listens for service requests at the port indicated in the NFS server specification; see Network File System Protocol Specification, RFC 1094 and NFS: Network File System Version 3 Protocol Specification.

# EXIT STATUS

The `nfsd` utility exits 0 on success, and >0 if an error occurs.

# EXAMPLES

“`nfsd -n 6`” serves UDP and TCP transports using six threads.

# SEE ALSO

nfsstat(1), nfssvc(2), mountd(8), rpcbind(8)

# HISTORY

The `nfsd` utility first appeared in 4.4BSD.

March 17, 2016 | NetBSD 10.1